var winId	= $.getUrlParam("winId");
var Label = top.$("#"+winId).panel("options").data.Label;
//填充列表展示数据
function fetchData(num) {
	if(num==undefined ){
		num = 1;
	}
	var params ={};
	params.LIKEldmc=$("#LIKEldmc").val();
	var limit = 10;
	params.rows = limit;
	params.page = num ;
    var table_html = '';
    $.ajax({
		 type:'post',
		 dataType : 'json',
		 url : 'zxldAction!listZxldByPage.do',
		 data:params,
		 success:function(data){
		    genHtml(data,num,limit)
		 }
	 });
}

//生成html
function genHtml(data,num,limit){
	var html = "";
	if (data && data.total > 0) {
			data.rows.forEach(function (item,index) {
				//经度、维度保留两位小数
				var jd = item.jd==null?'':item.jd;
				if(jd.length > 1){
					jd = parseFloat(jd).toFixed(2);
				}
				var wd = item.wd==null?'':item.wd;
				if(wd.length > 1){
					wd = parseFloat(wd).toFixed(2);
				}
				var datastr = {};
				datastr.xh = item.xh;
				datastr.ldbh = item.ldbh;
				datastr.ldmc = item.ldmc;
				html += '<tr data-json='+JSON.stringify(datastr)+' ondblclick="fillVideoData(this)"  onclick="selectTr(this)"><td>' + ((num-1)*limit+1+index) + '</td>' +
				 '<td>'+(item.xh==null?'':item.xh)+'</td>' +
				 '<td>'+(item.ldbh==null?'':item.ldbh)+'</td>' +
			    '<td>'+(item.ldmc==null?'':item.ldmc)+'</td>' +
			    '<td>'+(item.gxdwbh==null?'':item.gxdwbh)+'</td>' +
			    '<td>'+(item.gxdwmc==null?'':item.gxdwmc)+'</td>' +
				'<td>'+(item.jd==null?'':jd)+'</td>' +
			    '<td>'+(item.wd==null?'':wd)+'</td>' ;
		    });
			if (num === 1) {
                $("#page").initPage(data.total, 1, function (index) {
                	fetchData(index);
    			});
            }
	}else{
		html = "<tr><td colspan='11'>暂无数据</td></tr>";
		$("#page").initPage(0, 1, function (index) {
		});
	}
	$('#tbody').html(html);
}


function fillVideoData(o){
	
	Label.fillld(o);
	top.$(top.GETWIN(top.windowid)).destroy();
}
function selectTr(o){
	$("#list-show tr").css("backgroundColor",'white');
	$(o).css("backgroundColor",'#cccccc');
}
$(function(){
	fetchData(1);
 	$(".queryList").on("click",function(){
 		fetchData(1);
 	});
 	
 	$("#arcgisVideoList").find(".font14:eq(1)").click(function(){
 		parent.$("#arcgisIframe").hide();
 		parent.$(".esri-component").show();
 	});
 	
});


